/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2006, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp. 
 *******************************************************************************/

package com.ibm.team.build.internal.parser;

/**
 * Exception thrown when an element being parsed has irrecoverable errors or we
 * simply don't care about the element, but we don't want to throw a
 * SAXParserException that would halt parsing altogether. We throw this
 * exception to tell the parser to skip the current element and continue
 * parsing.
 */
@SuppressWarnings("serial")
public class SkipElementException extends Exception {
    // intentionally empty
}
